;;
*)
- { echo "$as_me:$LINENO: no Bluetooth sniffing support" >&5
-echo "$as_me: no Bluetooth sniffing support" >&6;}
+ { echo "$as_me:$LINENO: no Bluetooth sniffing support implemented for $host_os" >&5
+echo "$as_me: no Bluetooth sniffing support implemented for $host_os" >&6;}
;;
esac
if test "x$enable_can" != "xno" ; then
case "$host_os" in
linux*)
- if test "${ac_cv_header_linux_can_version_h+set}" = set; then
- { echo "$as_me:$LINENO: checking for linux/can/version.h" >&5
-echo $ECHO_N "checking for linux/can/version.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_linux_can_version_h+set}" = set; then
+ { echo "$as_me:$LINENO: checking for linux/can.h" >&5
+echo $ECHO_N "checking for linux/can.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_linux_can_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_can_version_h" >&5
-echo "${ECHO_T}$ac_cv_header_linux_can_version_h" >&6; }
else
- # Is the header compilable?
-{ echo "$as_me:$LINENO: checking linux/can/version.h usability" >&5
-echo $ECHO_N "checking linux/can/version.h usability... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
+ cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-$ac_includes_default
-#include <linux/can/version.h>
+#include <sys/socket.h>
+
+
+#include <linux/can.h>
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
- ac_header_compiler=yes
+ ac_cv_header_linux_can_h=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
- ac_header_compiler=no
+ ac_cv_header_linux_can_h=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6; }
-
-# Is the header present?
-{ echo "$as_me:$LINENO: checking linux/can/version.h presence" >&5
-echo $ECHO_N "checking linux/can/version.h presence... $ECHO_C" >&6; }
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h. */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h. */
-#include <linux/can/version.h>
-_ACEOF
-if { (ac_try="$ac_cpp conftest.$ac_ext"
-case "(($ac_try" in
- *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
- *) ac_try_echo=$ac_try;;
-esac
-eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
- (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
- ac_status=$?
- grep -v '^ *+' conftest.er1 >conftest.err
- rm -f conftest.er1
- cat conftest.err >&5
- echo "$as_me:$LINENO: \$? = $ac_status" >&5
- (exit $ac_status); } >/dev/null && {
- test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
- test ! -s conftest.err
- }; then
- ac_header_preproc=yes
-else
- echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- ac_header_preproc=no
-fi
-
-rm -f conftest.err conftest.$ac_ext
-{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6; }
-
-# So? What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
- yes:no: )
- { echo "$as_me:$LINENO: WARNING: linux/can/version.h: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: linux/can/version.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
- { echo "$as_me:$LINENO: WARNING: linux/can/version.h: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: linux/can/version.h: proceeding with the compiler's result" >&2;}
- ac_header_preproc=yes
- ;;
- no:yes:* )
- { echo "$as_me:$LINENO: WARNING: linux/can/version.h: present but cannot be compiled" >&5
-echo "$as_me: WARNING: linux/can/version.h: present but cannot be compiled" >&2;}
- { echo "$as_me:$LINENO: WARNING: linux/can/version.h: check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: linux/can/version.h: check for missing prerequisite headers?" >&2;}
- { echo "$as_me:$LINENO: WARNING: linux/can/version.h: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: linux/can/version.h: see the Autoconf documentation" >&2;}
- { echo "$as_me:$LINENO: WARNING: linux/can/version.h: section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: linux/can/version.h: section \"Present But Cannot Be Compiled\"" >&2;}
- { echo "$as_me:$LINENO: WARNING: linux/can/version.h: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: linux/can/version.h: proceeding with the preprocessor's result" >&2;}
- { echo "$as_me:$LINENO: WARNING: linux/can/version.h: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: linux/can/version.h: in the future, the compiler will take precedence" >&2;}
-
- ;;
-esac
-{ echo "$as_me:$LINENO: checking for linux/can/version.h" >&5
-echo $ECHO_N "checking for linux/can/version.h... $ECHO_C" >&6; }
-if test "${ac_cv_header_linux_can_version_h+set}" = set; then
- echo $ECHO_N "(cached) $ECHO_C" >&6
-else
- ac_cv_header_linux_can_version_h=$ac_header_preproc
-fi
-{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_can_version_h" >&5
-echo "${ECHO_T}$ac_cv_header_linux_can_version_h" >&6; }
-
fi
-if test $ac_cv_header_linux_can_version_h = yes; then
+{ echo "$as_me:$LINENO: result: $ac_cv_header_linux_can_h" >&5
+echo "${ECHO_T}$ac_cv_header_linux_can_h" >&6; }
+if test $ac_cv_header_linux_can_h = yes; then
cat >>confdefs.h <<\_ACEOF
#define PCAP_SUPPORT_CAN 1